# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::ProcessingInstruction Class Reference

The `ProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document. More...

`#include <dom_xml.h>`

Inheritance diagram for DOM::ProcessingInstruction:

[legend]
Collaboration diagram for DOM::ProcessingInstruction:

[legend]
List of all members.

## Public Member Functions

| ProcessingInstruction (const ProcessingInstruction &other)
| ProcessingInstruction (const Node &other)
ProcessingInstruction & | operator= (const Node &other)
ProcessingInstruction & | operator= (const ProcessingInstruction &other)
DOMString | target () const
DOMString | data () const
void | setData (const DOMString &)
StyleSheet | sheet () const

## Protected Member Functions

| ProcessingInstruction (ProcessingInstructionImpl *i)

## Friends

class | Document

## Detailed Description

The `ProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document.

Definition at line 259 of file dom_xml.h.

## Member Function Documentation

DOMString ProcessingInstruction::target | ( |  | ) | const

| The target of this processing instruction. XML defines this as being the first token following the markup that begins the processing instruction. Definition at line 256 of file dom_xml.cpp.

DOMString ProcessingInstruction::data | ( |  | ) | const

| The content of this processing instruction. This is from the first non white space character after the target to the character immediately preceding the ``?> . Definition at line 264 of file dom_xml.cpp.

void ProcessingInstruction::setData | ( | const DOMString & |  | ) |

see data

Exceptions:

  | DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

Definition at line 272 of file dom_xml.cpp.

StyleSheet ProcessingInstruction::sheet | ( |  | ) | const

| Introduced in DOM Level 2 This method is from the LinkStyle interface. The style sheet. Definition at line 287 of file dom_xml.cpp.

The documentation for this class was generated from the following files:

- dom_xml.h
- dom_xml.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:52 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003